﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ELTE.Basics.GeometricShapes
{
    /// <summary>
    /// Kör típusa.
    /// </summary>
    class Circle : Shape
    {
        /// <summary>
        /// Alakzat területének lekérdezése.
        /// </summary>
        public override Double Territory
        {
            get { return Math.PI * _Radious * _Radious; }
        }
        /// <summary>
        /// Alakzat kerületének lekérdezése.
        /// </summary>
        public override Double Perimeter
        {
            get { return 2 * Math.PI * _Radious; }
        }

        /// <summary>
        /// Kör létrehozása.
        /// </summary>
        /// <param name="center">Középpont.</param>
        /// <param name="side">Sugár.</param>
        public Circle(Point center, Double side) : base(center, side / 2) { }

        /// <summary>
        /// Megtalálható-e az alakzatban egy adott pont.
        /// </summary>
        /// <param name="point">A keresendő pont.</param>
        /// <returns>Igaz, ha a pont az alakzaton belül van.</returns>
        public override Boolean Contains(Point point)
        {
            return (Math.Sqrt(Math.Pow(point.X - _Center.X, 2) + Math.Pow(point.Y - _Center.Y, 2)) < _Radious);
        }
    }
}
