﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ELTE.Basics.GeometricShapes
{
    /// <summary>
    /// 2 dimenziós pont típusa.
    /// </summary>
    class Point
    {
        private Double _X;
        private Double _Y;

        /// <summary>
        /// Vízszintes koordináta lekérdezése, vagy beállítása.
        /// </summary>
        public Double X { get { return _X; } set { _X = value; } }
        /// <summary>
        /// Függőleges koordináta lekérdezése, vagy beállítása.
        /// </summary>
        public Double Y { get { return _Y; } set { _Y = value; } }

        /// <summary>
        /// Pont létrehozása.
        /// </summary>
        /// <param name="x">Vízszintes koordináta.</param>
        /// <param name="y">Függőleges koordináta.</param>
        public Point(Double x, Double y)
        {
            _X = x; _Y = y;
        }
        /// <summary>
        /// Pont eltolása.
        /// </summary>
        /// <param name="x">Vízszintes érték.</param>
        /// <param name="y">Függőleges érték.</param>
        public void Move(Double x, Double y)
        {
            _X += x; _Y += y; 
        }
        /// <summary>
        /// Pont eltolása.
        /// </summary>
        /// <param name="v">Eltolás vektora.</param>
        public void Move(Vector v)
        {
            _X += v.X; _Y += v.Y;
        }
    }
}
