﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ELTE.Basics.GeometricShapes
{
    /// <summary>
    /// Négyzet típusa.
    /// </summary>
    class Rectangle : Shape
    {
        /// <summary>
        /// Alakzat területének lekérdezése.
        /// </summary>
        public override Double Territory
        {
            get { return 4 * _Radious * _Radious; }
        }
        /// <summary>
        /// Alakzat kerületének lekérdezése.
        /// </summary>
        public override Double Perimeter
        {
            get { return 4 * _Radious; }
        }

        /// <summary>
        /// Négyzet létrehozása.
        /// </summary>
        /// <param name="center">Középpont.</param>
        /// <param name="side">Oldalhossz.</param>
        public Rectangle(Point center, Double side) : base(center, side / 2) { }

        /// <summary>
        /// Megtalálható-e az alakzatban egy adott pont.
        /// </summary>
        /// <param name="point">A keresendő pont.</param>
        /// <returns>Igaz, ha a pont az alakzaton belül van.</returns>
        public override Boolean Contains(Point point)
        {
            return (Math.Abs(point.X - _Center.X) < _Radious && Math.Abs(point.Y - _Center.Y) < _Radious);
        }
    }
}
